%define upstream_name    Daemon-Shutdown
%define upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Shutdown Daemon
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Daemon/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(User)
BuildRequires: perl(YAML::Any)
BuildArch:  noarch

%description
Tests the spin state of all the disks listed in "disks" every "loop_sleep".
When all disks are in spun down state, the flag "trigger_pending" is set.
If a further "trigger_time" seconds pass and all disks are still in a spun
down state, the trigger is sent back to the parent process (return 1).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/sdd
%{_mandir}/man1/sdd.1*


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.130.0-7.mga9
+ Revision: 1817055
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.130.0-6.mga8
+ Revision: 1493635
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.130.0-5.mga7
+ Revision: 1266826
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.130.0-4.mga6
+ Revision: 1024778
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.130.0-3.mga6
+ Revision: 971860
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.130.0-2.mga6
+ Revision: 893424
- rebuild with fixed deps

* Mon Sep 28 2015 sander85 <sander85> 0.130.0-1.mga6
+ Revision: 884467
- update to 0.13

* Sun Oct 19 2014 umeabot <umeabot> 0.110.0-6.mga5
+ Revision: 789179
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-5.mga5
+ Revision: 742147
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 684166
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-3.mga4
+ Revision: 510476
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 365249
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 06 2011 kharec <kharec> 0.110.0-1.mga2
+ Revision: 177818
- update to 0.11

* Tue Nov 08 2011 kharec <kharec> 0.90.0-1.mga2
+ Revision: 165634
- update to 0.09

* Tue Nov 08 2011 kharec <kharec> 0.80.0-1.mga2
+ Revision: 165240
- update to 0.08

* Sat Nov 05 2011 kharec <kharec> 0.70.0-1.mga2
+ Revision: 163422
- imported package perl-Daemon-Shutdown


* Sat Nov 05 2011 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
